shibboleth-3.5.0

Variables
shibspconstants Namespace Reference

Shibboleth SP XML constants. More...

## Variables
const XMLCh | SHIBMD_NS []
| Shibboleth Metadata XML namespace ("urn:mace:shibboleth:metadata:1.0")
const XMLCh | SHIBMD_PREFIX []
| Shibboleth Metadata QName prefix ("shibmd")
const XMLCh * | SHIBSPCONFIG_NS
| "Current" Shibboleth SP configuration namespace
const XMLCh | SHIB3SPCONFIG_NS []
| Shibboleth 3.0 SP configuration namespace ("urn:mace:shibboleth:3.0:native:sp:config")
const XMLCh | SHIB2SPCONFIG_NS []
| Shibboleth 2.0 SP configuration namespace ("urn:mace:shibboleth:2.0:native:sp:config")
const XMLCh | SHIB2SPPROTOCOLS_NS []
| Shibboleth 2.0 SP protocol provider namespace ("urn:mace:shibboleth:2.0:native:sp:protocols")
const XMLCh | SHIB2ATTRIBUTEMAP_NS []
| Shibboleth 2.0 attribute mapping namespace ("urn:mace:shibboleth:2.0:attribute-map")
const XMLCh | SHIB2SPNOTIFY_NS []
| Shibboleth 2.0 notification namespace ("urn:mace:shibboleth:2.0:sp:notify")
const XMLCh | SHIB2ATTRIBUTEFILTER_NS []
| Shibboleth 2.0 attribute filter policy namespace ("urn:mace:shibboleth:2.0:afp")
const XMLCh | SHIB2ATTRIBUTEFILTER_MF_BASIC_NS []
| Shibboleth 2.0 basic matching function namespace ("urn:mace:shibboleth:2.0:afp:mf:basic")
const XMLCh | SHIB2ATTRIBUTEFILTER_MF_SAML_NS []
| Shibboleth 2.0 SAML matching function namespace ("urn:mace:shibboleth:2.0:afp:mf:saml")
const XMLCh | SHIB1_PROTOCOL_ENUM []
| Shibboleth 1.x Protocol Enumeration constant ("urn:mace:shibboleth:1.0")
const XMLCh | SHIB1_ATTRIBUTE_NAMESPACE_URI []
| Shibboleth 1.x URI AttributeNamespace constant ("urn:mace:shibboleth:1.0:attributeNamespace:uri")
const XMLCh | SHIB1_NAMEID_FORMAT_URI []
| Shibboleth 1.x transient NameIdentifier Format constant ("urn:mace:shibboleth:1.0:nameIdentifier")
const XMLCh | SHIB1_AUTHNREQUEST_PROFILE_URI []
| Shibboleth 1.x AuthnRequest binding/profile ("urn:mace:shibboleth:1.0:profiles:AuthnRequest")
const XMLCh | SHIB2_BINDING_FILE []
| Shibboleth 2 filesystem-based SAML binding ("urn:mace:shibboleth:2.0:bindings:File")
const char | SHIB1_SESSIONINIT_PROFILE_URI []
| Shibboleth 1.3 SessionInit binding/profile ("urn:mace:shibboleth:sp:1.3:SessionInit")
const char | SHIB1_LOGOUT_PROFILE_URI []
| Shibboleth 1.3 Local Logout binding/profile ("urn:mace:shibboleth:sp:1.3:Logout")
const char * | ASCII_SHIBSPCONFIG_NS
| "Current" Shibboleth SP configuration namespace
const char | ASCII_SHIB3SPCONFIG_NS []
| Shibboleth 3.0 SP configuration namespace ("urn:mace:shibboleth:3.0:native:sp:config")
const char | ASCII_SHIB2SPCONFIG_NS []
| Shibboleth 2.0 SP configuration namespace ("urn:mace:shibboleth:2.0:native:sp:config")

## Detailed Description

Shibboleth SP XML constants.